+ Responder ao Tópico



  1. #1

    Question Nao atualizar um determinado pacote

    Olá a todos!

    Alguém sabe como, durante uma atualizaćao completa do sistema, eliminar um determinado pacote da lista .
    Exemplo:

    Código :
    ...
    [ebuild     U ] gnome-base/gnome-mount-0.6 [0.4-r5] USE="gnome%*" 
    [ebuild     U ] gnome-extra/fast-user-switch-applet-2.20.0 [2.18.0] 
    [ebuild     U ] dev-python/gnome-python-extras-2.14.2-r1 [2.14.0-r1] USE="-xulrunner%" 
    [ebuild     U ] app-text/enchant-1.3.0 [1.2.5] 
    [ebuild     U ] app-office/openoffice-2.3.1 [2.3.0] 
    [ebuild     U ] app-dicts/aspell-en-6.0.0 [0.51.1] 
    [ebuild     U ] app-text/aspell-0.60.5 [0.50.5-r4] USE="nls%* -examples%" 
    [ebuild     U ] kde-base/kdelibs-3.5.7-r3 [3.5.5-r10] USE="-bindist% -branding%" 
    [COLOR=Red][blocks B     ] =app-dicts/aspell-en-0.5* (is blocking app-text/aspell-0.60.5)[/COLOR]
    Não quero que o pacote app-dicts/aspell-en-0.5* seja atualizado.

    Procurei uma solução mas ate agora nada.
    Uma solução seria desinstalar o pacote, mas eu já fiz isso uma vez com esse pacote e meu de uma certa dor de cabeça.

    Ab, Duca.

  2. #2

    Padrão

    Dae Duca blz? Estive olhando a documentação do gentoo e encontrei isso:
    Manually Hard Masking

    Rarely, you will need to prevent the installation of a package. This might be the case, for example, when a bug in the ebuild script causes it to fail to compile on your system, thus preventing commands like emerge --update --deep world to function properly.
    You can skip the ebuild of the offending package by adding its name to /etc/portage/package.mask like this:
    echo "=sys-apps/file-4.17-r1" >> /etc/portage/package.mask
    The syntax for this file is the same as package.unmask, described above.




    O site que eu peguei foi o seguinte: TIP Dealing with masked packages - Gentoo Linux Wiki




    Abraços



  3. #3

    Talking

    Grande ruyneto!
    Tava sumido bicho!!!

    Cara, eu tentei package.unmask, mas nada.
    Irei tentar novamente, posso ter errado em algum passo.
    Tem alguns pacotes que dá pra remove antes e continuar a atualização, contudo tem outros pacotes que dão dor de cabeça ao retirá-los.

    Logo informo o que fiz aqui.

    Ab, Duca.

  4. #4

    Padrão

    Usei o package.mask e funcionou beleza.
    Obrigado.

    Estou gostando do gentoo, muito interessante e cheio de detalhes para aprender.



  5. #5

    Padrão

    Cara que bom que deu certo, desculpa por não ajudar mais é que to sem o gentoo aqui em casa pra testar, e realmente estive um pouco ausente mas vou tentar agora voltar ser mais ativo no forum.

    Abraços